Noia 3.76 and Personas Rated 5 out of 5 stars

I use Noia 3.76 with Personas 1.4 (1.5 and later does not work) with Firefox 3.6.5 Nightly builds and it works flawlessly.